step-74: Symmetric interior penalty Galerkin method for Poisson's equation
==========================================================================

This tutorial for the deal.II finite element library demonstrates how
to solve Poisson's equation using the Symmetric interior penalty
Galerkin (SIPG) method. The discontinuous Galerkin finite element
method requires the assembly of face terms (jumps and averages), which
is done using the FEInterfaceValues class of deal.II.

The example contains two test cases:

1. A smooth test case to show optimal convergence rates under global
   refinement.
2. A singular test case that requires adaptive refinement and an error
   estimator to recover optimal rates.

Note: this is the original version contributed to deal.II. The current version
is available as step-74 inside deal.II:
    https://www.dealii.org/developer/doxygen/deal.II/step_74.html


Installing and Running
----------------------

If you have a recent version of deal.II installed, you can configure,
compile, and run using the following commands:

    $ cmake -D DEAL_II_DIR=/path/to/dealii .
    $ make
    $ make run
